#### PyKDE - Python Bindings for KDE

# class TDEProcessController |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | TDEProcessController
Inherits | TQObject

### methods

- TDEProcessController ()

  returns a TDEProcessController instance
  In versions KDE 3.1.0 and above only

- TDEProcessController (a0)

  returns a TDEProcessController instance
  Argument | Type | Default
  --- | --- | ---
  a0 | TDEProcessController |

- TDEProcessController ()

  returns a TDEProcessController instance
  In versions less than KDE 3.1.0 only

- addTDEProcess (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TDEProcess |

- addProcess (pid)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  pid | int |

- deref ()

  returns nothing
  In versions KDE 3.2.0 and above only
  static

- notifierFd ()

  returns (int)
  In versions KDE 3.2.0 and above only

- ref ()

  returns nothing
  In versions KDE 3.2.0 and above only
  static

- removeTDEProcess (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TDEProcess |

- rescheduleCheck ()

  returns nothing
  In versions KDE 3.2.0 and above only

- resetHandlers ()

  returns nothing
  In versions less than KDE 3.2.0 only
  static

- setupHandlers ()

  returns nothing
  In versions less than KDE 3.2.0 only
  static

- slotDoHousekeeping (a0)

  returns nothing
  In versions less than KDE 3.2.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- theSigCHLDHandler (signal)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  signal | int |

- unscheduleCheck ()

  returns nothing
  In versions KDE 3.2.0 and above only

- waitForProcessExit (timeout)

  returns (bool)
  In versions KDE 3.0.3 and above only
  Argument | Type | Default
  --- | --- | ---
  timeout | int |

- ~TDEProcessController ()

  returns nothing

### variables

- variables

  Variable | Type
  --- | ---
  theTDEProcessController | TDEProcessController*